import { EventEmitter } from "events";
export interface EventMap extends Record<string, any[]> {
}
export declare class TypedEventEmitter<T extends EventMap> extends EventEmitter {
    emit<K extends keyof T & string>(event: K, ...args: T[K]): boolean;
    on<K extends keyof T & string>(event: K, listener: (...args: T[K]) => void): this;
    off<K extends keyof T & string>(event: K, listener: (...args: T[K]) => void): this;
}
//# sourceMappingURL=typesafe-event-emitter.d.ts.map