import type { FeeEstimatorOptions, Result } from "./types";
import { TypedEventEmitter, EventMap } from "./typesafe-event-emitter.js";
interface Events extends EventMap {
    data: [Result];
}
export type Options = FeeEstimatorOptions & {
    useWorker?: boolean;
};
export declare class FeeEstimator extends TypedEventEmitter<Events> {
    private readonly estimator;
    private _data;
    constructor(options: Options);
    private onWorkerMessage;
    private onWorkerError;
    private onWorkerExit;
    get data(): Result;
    stop: () => void;
}
export {};
//# sourceMappingURL=estimator.d.ts.map