export class RingBuffer {
    constructor(sizeMax) {
        this.max = sizeMax;
        this.data = [];
    }
    push(x) {
        if (this.data.length === this.max) {
            this.data.shift();
        }
        this.data.push(x);
    }
    get() {
        return this.data;
    }
}
//# sourceMappingURL=ring-buffer.js.map